import request from '@/utils/request'

// 查询预约订单服务详细信息记录表列表
export function listOmsOrderService(query) {
  return request({
    url: '/order/omsOrderService/list',
    method: 'get',
    params: query
  })
}

// 查询预约订单服务详细信息记录表详细
export function getOmsOrderService(id) {
  return request({
    url: '/order/omsOrderService/' + id,
    method: 'get'
  })
}

// 新增预约订单服务详细信息记录表
export function addOmsOrderService(data) {
  return request({
    url: '/order/omsOrderService',
    method: 'post',
    data: data
  })
}

// 修改预约订单服务详细信息记录表
export function updateOmsOrderService(data) {
  return request({
    url: '/order/omsOrderService',
    method: 'put',
    data: data
  })
}

// 删除预约订单服务详细信息记录表
export function delOmsOrderService(id) {
  return request({
    url: '/order/omsOrderService/' + id,
    method: 'delete'
  })
}

// 导出预约订单服务详细信息记录表
export function exportOmsOrderService(query) {
  return request({
    url: '/order/omsOrderService/export',
    method: 'get',
    params: query
  })
}